/**
 * DO NOT EDIT THIS FILE.
 * See the following change record for more information,
 * https://www.drupal.org/node/2815083
 * @preserve
 * */
(function ($, window, Drupal) {
  'use strict';
  Drupal.behaviors.infobar = {
    attach: function attach(context) {
      const iCookieLength = 60; // Cookie length in days
      const sCookieName = 'infobar';
      const sCookieContents = '1';

      function setCookie() {
        const dCookieExpires = new Date();
        dCookieExpires.setTime(
          dCookieExpires.getTime() + iCookieLength * 24 * 60 * 60 * 1000
        );
        document.cookie = `${sCookieName}=${sCookieContents}; expires=${dCookieExpires.toGMTString()}; path=/;`;
      }

      function getCookie() {
        const cookieArray = document.cookie.split(';');
        for (let i = 0; i < cookieArray.length; i++) {
          let cookie = cookieArray[i];
          // Remove space between cookies.
          while (cookie.charAt(0) === ' ') {
            cookie = cookie.substring(1);
          }
          // Cookie found? Return the cookie value.
          if (cookie.indexOf(sCookieName) === 0) {
            return cookie.substring(sCookieName.length, cookie.length);
          }
        }
        return null; // No cookie found.
      }

      const infobarCookie = getCookie();
      if (!infobarCookie) {
        $('.infobar-wrapper').show();
      }
      else {
        $('.infobar-wrapper').hide();
      }

      $('#infobar-close-btn, #infobar-content a', context).click(() => {
        setCookie();
        $('.infobar-wrapper').slideToggle('slow');
      });
    }
  };
})(jQuery, window, Drupal);
